// pages/upDownSubmit/info.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    appointmentClassifyArray: [
      { label:'充电预约',value:'1' },
      { label:'管桩预约',value:'2' },
      { label:'其他预约',value:'3' },
    ], //预约类型
    info: {},
    fileList:[], //司机回签图片
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    //获取详情
    var pages = getCurrentPages();
    var prevPage = pages[pages.length - 2];
    let getInfo = prevPage.data.resData[options.index]
    //司机回签图片
    let fileList = []
    if(getInfo.unloadImg){
      let unloadImgArr = getInfo.unloadImg.split(',')
      unloadImgArr.forEach(element => {
        fileList.push({
          url     : app.host.BASEIMG_URL+element,
          imgUrl  : element,
          isImage : true
        })
      });
    }
    this.setData({
      info:getInfo,
      fileList:fileList
    })
  },

  //查询详情
  getInfo: function (id) {
    //详情
    app.request.GET({
      url: app.API.appointDetail,
      page: this,
      params: {
        'id': id
      },
      successFun: true
    }).then(res => {
      let getInfo = res.data.data;
      this.setData({
        info: getInfo,
        accessControlAuth:JSON.parse(getInfo.accessControlAuth)
      })
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})